package xn.xxp.room.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;

import xn.xxp.room.bean.LabConfig;


@Dao
public interface LabConfigDao {
    @Query("SELECT * FROM labconfig")
    LabConfig getLabConfig();

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(LabConfig labConfig);

    @Delete
    void delete(LabConfig labConfig);

    @Query("DELETE FROM labconfig")
    void clear();
}
